ATM Seamless PIN Payment
Create a payment transaction for Credit or Debit card with ATM PIN authentication. In seamless mode, card details will be captured at the merchant’s end. ATM PIN payments are currently limited to only a set of cards. Use /cardbins/:card\_bin API to check for a card's eligibility.
application/x-www-form-urlencoded
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.
This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.
Example:- customer_1122
order_id pertaining to the order for which the payment is started.
ID of the merchant_account that you hold with us.
Must be CARD.
One of VISA/MASTERCARD/MAESTRO/AMEX/RUPAY. This is usually inferred from the card number itself and we will take care of this if you are unable to provide this from your end.
Must be ATMPIN
A valid card token obtained using /card/list API. If you send this parameter, then card_number, name_on_card, card_exp_year, card_exp_month fields are not required. If the token is generated using the /card/tokenize API, card_number, name_on_card, card_exp_year, card_exp_month and card_security_code fields are not required.
A valid credit/debit card number
Card holder name. Should contain alphabetical characters only.
Represent the expiry year of the card as YY (two digits only)
Represent the expiry month of the card as MM (two digits only)
CVV of the card. Usually three digits.
This is a boolean variable and accepts true/false. If set to true, then the card will be saved in locker when the transaction is successful. Else, the card will not be saved.
This is a boolean variable and accepts true/false. We recommend that you set this to true and use the redirection flow. If set to true, then the user is redirected to the return\_url configured for the order. If set to false, then the user will be stopped at the response page from the gateway. Your client should be able to read the page/title to infer that the user has completed the transaction.
If it is set to json, then the response will be HTTP 200 with a JSON formatted text. Otherwise, the response is HTTP 302 with the Location attribute having the destination URL.
:order_id
:txn_id
PENDING_VBV

